#include <bits/stdc++.h>
using namespace std;
mt19937 rnd(time(NULL) + *new char);
int main()
{
	ios::sync_with_stdio(0); cin.tie(0);
	freopen("noodle.in", "w", stdout);
	cout << "0 1 " << rnd() << "\n";
	int n = (rnd() % 10 + 1)* 2, q = 5;
	int x = rnd() % n + 1, k = 1000;
	cout << n << " " << q << " " << x << " " << k << "\n";
	for (int i = 1; i <= n; ++ i) cout << rnd() % 100 << " ";
}
